# fis多语言处理器

基于fis的多语言处理器，主要包含一下功能：

	1、导出项目中的所有中文文案存为json文件
	2、自动生成公共模块的lang.json配置
	3、从mis拉取文案配置，优先按mis里的精确配置（文件路径+文案md5作为精确key）进行翻译替换，如果没有找到则用mis里默认配置（文案md5作为key）进行替换，如果也没有择使用本地lang.json配置，如果还没有，如果是简转繁，则通过内置插件自动转换
	4、支持多语言条件自定义语法


- 配置方法

````
fis.media('tw')
    .match('**', {
        postprocessor: fis.plugin('beatles-i18n', {
            lang: 'zh_tw'
        },'append')
    })

````

- 自定义语法

````
<!--zh_cn-->
这里是简体中文区
<!--/zh_cn-->

css和js里为
/**start:zh_cn**/
param = 1;
/**end:zh_cn**/

/**start:zh_tw**/
param = 2;
/**end:zh_tw**/

````

- 本地语言包

````
lang.json

[
	{
		zh_cn: '登录',
		zh_tw: '登錄',
		en_us: 'login'
	},
	...
]


````
